Skip to main content
Server path: /launchdarkly-integrations | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_integrations_create_big_segment_store_integrationCreate big segment store integration
launchdarkly_integrations_create_flag_import_configurationCreate a flag import configuration
launchdarkly_integrations_create_integration_configurationCreate integration configuration
launchdarkly_integrations_create_integration_delivery_configurationCreate delivery configuration
launchdarkly_integrations_create_subscriptionCreate audit log subscription
launchdarkly_integrations_delete_big_segment_store_integrationDelete big segment store integration
launchdarkly_integrations_delete_destinationDelete Data Export destination
launchdarkly_integrations_delete_flag_import_configurationDelete a flag import configuration
launchdarkly_integrations_delete_integration_configurationDelete integration configuration
launchdarkly_integrations_delete_integration_delivery_configurationDelete delivery configuration
launchdarkly_integrations_delete_relay_auto_configDelete Relay Proxy config by ID
launchdarkly_integrations_delete_subscriptionDelete audit log subscription
launchdarkly_integrations_delete_webhookDelete webhook
launchdarkly_integrations_get_all_integration_configurationsGet all configurations for the integration
launchdarkly_integrations_get_all_webhooksList webhooks
launchdarkly_integrations_get_big_segment_store_integrationGet big segment store integration by ID
launchdarkly_integrations_get_big_segment_store_integrationsList all big segment store integrations
launchdarkly_integrations_get_destinationGet destination
launchdarkly_integrations_get_destinationsList destinations
launchdarkly_integrations_get_flag_import_configurationGet a single flag import configuration
launchdarkly_integrations_get_flag_import_configurationsList all flag import configurations
launchdarkly_integrations_get_integration_configurationGet an integration configuration
launchdarkly_integrations_get_integration_delivery_configuration_by_environmentGet delivery configurations by environment
launchdarkly_integrations_get_integration_delivery_configuration_by_idGet delivery configuration by ID
launchdarkly_integrations_get_integration_delivery_configurationsList all delivery configurations
launchdarkly_integrations_get_relay_proxy_configGet Relay Proxy config
launchdarkly_integrations_get_relay_proxy_configsList Relay Proxy configs
launchdarkly_integrations_get_subscription_by_idGet audit log subscription by ID
launchdarkly_integrations_get_subscriptionsGet audit log subscriptions by integration
launchdarkly_integrations_get_webhookGet webhook
launchdarkly_integrations_patch_big_segment_store_integrationUpdate big segment store integration
launchdarkly_integrations_patch_destinationUpdate Data Export destination
launchdarkly_integrations_patch_flag_import_configurationUpdate a flag import configuration
launchdarkly_integrations_patch_integration_delivery_configurationUpdate delivery configuration
launchdarkly_integrations_patch_relay_auto_configUpdate a Relay Proxy config
launchdarkly_integrations_patch_webhookUpdate webhook
launchdarkly_integrations_post_destinationCreate Data Export destination
launchdarkly_integrations_post_generate_project_env_warehouse_destination_key_pairGenerate Snowflake destination key pair
launchdarkly_integrations_post_generate_trust_policyGenerate trust policy
launchdarkly_integrations_post_generate_warehouse_destination_key_pairGenerate Snowflake destination key pair
launchdarkly_integrations_post_generate_warehouse_destination_setup_scriptGenerate warehouse destination setup script
launchdarkly_integrations_post_relay_auto_configCreate a new Relay Proxy config
launchdarkly_integrations_post_webhookCreates a webhook
launchdarkly_integrations_reset_relay_auto_configReset Relay Proxy configuration key
launchdarkly_integrations_trigger_flag_import_jobTrigger a single flag import run
launchdarkly_integrations_update_integration_configurationUpdate integration configuration
launchdarkly_integrations_update_subscriptionUpdate audit log subscription
launchdarkly_integrations_validate_integration_delivery_configurationValidate delivery configuration

launchdarkly_integrations_create_big_segment_store_integration

Create big segment store integration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key, either redis or dynamodb
configobjectYesThe config value
namestringNoName to identify the integration
onbooleanNoWhether the integration configuration is active. Default value is false.
tagsstring[]NoTags to associate with the integration

launchdarkly_integrations_create_flag_import_configuration

Create a flag import configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
integrationKeystringYesThe integration key
configobjectYesThe config value
namestringNoName to identify the configuration
tagsstring[]NoTags to associate with the configuration

launchdarkly_integrations_create_integration_configuration

Create integration configuration Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key
capabilityConfigobjectNoCapability Config
configValuesobjectYesThe unique set of fields required to configure the integration. Refer to the <code>formVariables</code> field in the corresponding <code>manifest.json</code> at https://github.com/launchdarkly/integration-framework/tree/main/integrations for a full list of fields for the integration you wish to configure.
enabledbooleanNoWhether the integration configuration is enabled. If omitted, defaults to true
namestringYesThe name of the integration configuration
tagsstring[]NoTags for the integration

launchdarkly_integrations_create_integration_delivery_configuration

Create delivery configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key
configobjectYesThe config value
namestringNoName to identify the integration
onbooleanNoWhether the integration configuration is active. Default value is false.
tagsstring[]NoTags to associate with the integration

launchdarkly_integrations_create_subscription

Create audit log subscription Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key
apiKeystringNoDatadog API key. Only necessary for legacy Datadog webhook integrations.
configobjectYesThe unique set of fields required to configure an audit log subscription integration of this type. Refer to the <code>formVariables</code> field in the corresponding <code>manifest.json</code> at https://github.com/launchdarkly/integration-framework/tree/main/integrations for a full list of fields for the integration you wish to configure.
namestringYesA human-friendly name for your audit log subscription.
onbooleanNoWhether or not you want your subscription to actively send events.
statementsobject[]NoThe statements value
tagsstring[]NoAn array of tags for this subscription.
urlstringNoSlack webhook receiver URL. Only necessary for legacy Slack webhook integrations.

launchdarkly_integrations_delete_big_segment_store_integration

Delete big segment store integration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key, either redis or dynamodb
integrationIdstringYesThe integration ID

launchdarkly_integrations_delete_destination

Delete Data Export destination Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
idstringYesThe Data Export destination ID

launchdarkly_integrations_delete_flag_import_configuration

Delete a flag import configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
integrationKeystringYesThe integration key
integrationIdstringYesThe integration ID

launchdarkly_integrations_delete_integration_configuration

Delete integration configuration Parameters:
ParameterTypeRequiredDefaultDescription
integrationConfigurationIdstringYesThe ID of the integration configuration to be deleted

launchdarkly_integrations_delete_integration_delivery_configuration

Delete delivery configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key
idstringYesThe configuration ID

launchdarkly_integrations_delete_relay_auto_config

Delete Relay Proxy config by ID Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe relay auto config id

launchdarkly_integrations_delete_subscription

Delete audit log subscription Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key
idstringYesThe subscription ID

launchdarkly_integrations_delete_webhook

Delete webhook Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the webhook to delete

launchdarkly_integrations_get_all_integration_configurations

Get all configurations for the integration Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesIntegration key

launchdarkly_integrations_get_all_webhooks

List webhooks

launchdarkly_integrations_get_big_segment_store_integration

Get big segment store integration by ID Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key, either redis or dynamodb
integrationIdstringYesThe integration ID

launchdarkly_integrations_get_big_segment_store_integrations

List all big segment store integrations

launchdarkly_integrations_get_destination

Get destination Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
idstringYesThe Data Export destination ID

launchdarkly_integrations_get_destinations

List destinations

launchdarkly_integrations_get_flag_import_configuration

Get a single flag import configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
integrationKeystringYesThe integration key, for example, split
integrationIdstringYesThe integration ID

launchdarkly_integrations_get_flag_import_configurations

List all flag import configurations

launchdarkly_integrations_get_integration_configuration

Get an integration configuration Parameters:
ParameterTypeRequiredDefaultDescription
integrationConfigurationIdstringYesIntegration configuration ID

launchdarkly_integrations_get_integration_delivery_configuration_by_environment

Get delivery configurations by environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_integrations_get_integration_delivery_configuration_by_id

Get delivery configuration by ID Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key
idstringYesThe configuration ID

launchdarkly_integrations_get_integration_delivery_configurations

List all delivery configurations

launchdarkly_integrations_get_relay_proxy_config

Get Relay Proxy config Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe relay auto config id

launchdarkly_integrations_get_relay_proxy_configs

List Relay Proxy configs

launchdarkly_integrations_get_subscription_by_id

Get audit log subscription by ID Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key
idstringYesThe subscription ID

launchdarkly_integrations_get_subscriptions

Get audit log subscriptions by integration Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key

launchdarkly_integrations_get_webhook

Get webhook Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the webhook

launchdarkly_integrations_patch_big_segment_store_integration

Update big segment store integration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key, either redis or dynamodb
integrationIdstringYesThe integration ID
bodyobject[]YesRequest body

launchdarkly_integrations_patch_destination

Update Data Export destination Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
idstringYesThe Data Export destination ID
bodyobject[]YesRequest body

launchdarkly_integrations_patch_flag_import_configuration

Update a flag import configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
integrationKeystringYesThe integration key
integrationIdstringYesThe integration ID
bodyobject[]YesRequest body

launchdarkly_integrations_patch_integration_delivery_configuration

Update delivery configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key
idstringYesThe configuration ID
bodyobject[]YesRequest body

launchdarkly_integrations_patch_relay_auto_config

Update a Relay Proxy config Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe relay auto config id
commentstringNoOptional comment
patchobject[]YesThe patch value

launchdarkly_integrations_patch_webhook

Update webhook Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the webhook to update
bodyobject[]YesRequest body

launchdarkly_integrations_post_destination

Create Data Export destination Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
configobjectNoAn object with the configuration parameters required for the destination type
kindstringNoThe type of Data Export destination
namestringNoA human-readable name for your Data Export destination
onbooleanNoWhether the export is on. Displayed as the integration status in the LaunchDarkly UI.

launchdarkly_integrations_post_generate_project_env_warehouse_destination_key_pair

Generate Snowflake destination key pair Parameters:
ParameterTypeRequiredDefaultDescription
projKeystringYesThe project key
envKeystringYesThe environment key

launchdarkly_integrations_post_generate_trust_policy

Generate trust policy Parameters:
ParameterTypeRequiredDefaultDescription
projKeystringYesThe project key
envKeystringYesThe environment key

launchdarkly_integrations_post_generate_warehouse_destination_key_pair

Generate Snowflake destination key pair

launchdarkly_integrations_post_generate_warehouse_destination_setup_script

Generate warehouse destination setup script Parameters:
ParameterTypeRequiredDefaultDescription
projKeystringYesThe project key
envKeystringYesThe environment key
kindstringYesThe destination kind (snowflake-v2, redshift)

launchdarkly_integrations_post_relay_auto_config

Create a new Relay Proxy config Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesA human-friendly name for the Relay Proxy configuration
policyobject[]YesA description of what environments and projects the Relay Proxy should include or exclude. To learn more, read Write an inline policy.

launchdarkly_integrations_post_webhook

Creates a webhook Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoA human-readable name for your webhook
onbooleanYesWhether or not this webhook is enabled.
secretstringNoIf sign is true, and the secret attribute is omitted, LaunchDarkly automatically generates a secret for you.
signbooleanYesIf sign is false, the webhook does not include a signature header, and the secret can be omitted.
statementsobject[]NoThe statements value
tagsstring[]NoList of tags for this webhook
urlstringYesThe URL of the remote webhook

launchdarkly_integrations_reset_relay_auto_config

Reset Relay Proxy configuration key Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Relay Proxy configuration ID
expiryintegerNoAn expiration time for the old Relay Proxy configuration key, expressed as a Unix epoch time in milliseconds. By default, the Relay Proxy configuration will expire immediately.

launchdarkly_integrations_trigger_flag_import_job

Trigger a single flag import run Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
integrationKeystringYesThe integration key
integrationIdstringYesThe integration ID

launchdarkly_integrations_update_integration_configuration

Update integration configuration Parameters:
ParameterTypeRequiredDefaultDescription
integrationConfigurationIdstringYesThe ID of the integration configuration
bodyobject[]YesRequest body

launchdarkly_integrations_update_subscription

Update audit log subscription Parameters:
ParameterTypeRequiredDefaultDescription
integrationKeystringYesThe integration key
idstringYesThe ID of the audit log subscription
bodyobject[]YesRequest body

launchdarkly_integrations_validate_integration_delivery_configuration

Validate delivery configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
integrationKeystringYesThe integration key
idstringYesThe configuration ID